import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  output: 'standalone',
  async rewrites() {
    return [
      {
        source: '/l/:slug',
        destination: `${process.env.INTERNAL_BACKEND_URL || 'http://localhost:4001'}/l/:slug`
      }
    ];
  }
};

export default nextConfig;
